Bug 1873420 - Knative non-workload items are show in topology consumption mode
Summary: Knative non-workload items are show in topology consumption mode
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Jeff Phillips
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-28 09:36 UTC by Jaivardhan Kumar
Modified: 2020-09-03 08:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Verification of BZ 1873420 (4.84 MB, image/gif)
2020-09-03 07:46 UTC, Abhishek K N
no flags Details
Validation of Bug 1873420 (2.88 MB, image/gif)
2020-09-03 08:43 UTC, Abhishek K N
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6471 None closed Bug 1873420: Do not show non-workload nodes in topology consumption mode 2020-09-02 13:20:20 UTC

Description Jaivardhan Kumar 2020-08-28 09:36:26 UTC
Description of problem:
Knative resources that do not consume resources are shown in the topology view in consumption mode.
Also, the knative URI shows in topology when selecting any resource (ie. Deployment) from filter by resource

Version-Release number of selected component (if applicable): 4.6


How reproducible: Always


Steps to Reproduce:
1. Install Serverless Operator/Create CR for KnativeServing/knativeEventing
2. Go to DevConsole -> Add -> EventSource 
3. Create a Source with Sink to URI
4. Go to Add -> ContainerSource -> Deploy image as KSVC
5. Go to Topology , filter by KSVC or Revision or Deployment
6. Clear all Filter by Resource selections
6. From the Display Options dropdown select 'Consumption'

Actual results:

can always see SinkURI along with filtered resources
when in consumption mode, user still sees URIs, Revisions, Sinks.


Expected results: Should just show filtered resources

When filtering on a different resource type, the URI node should not be displayed
When in consumption mode event sources, revisions, sinks and channels should not be shown.

Additional info:

Comment 1 Jaivardhan Kumar 2020-08-28 09:36:46 UTC
Jira : https://issues.redhat.com/browse/ODC-4693

Comment 4 Abhishek K N 2020-09-03 07:46:25 UTC
Created attachment 1713553 [details]
Verification of BZ 1873420

PSA URI is not displayed when selecting deployment from the filter by resource dropdown. Verified Build details:

OpenShift Version: 4.6.0-0.nightly-2020-09-02-210353

Kubernetes Version: v1.19.0-rc.2+b5dc585-dirty

Comment 5 Abhishek K N 2020-09-03 08:42:09 UTC
PSA. In consumption view of topology event sources, channels, brokers, revisions and URI are not displayed now.

Verified build details:
  OpenShift Version: 4.6.0-0.nightly-2020-09-02-210353
  Kubernetes Version: v1.19.0-rc.2+b5dc585-dirty

Comment 6 Abhishek K N 2020-09-03 08:43:03 UTC
Created attachment 1713561 [details]
Validation of Bug 1873420


Note You need to log in before you can comment on or make changes to this bug.